rake generate_session_store doesn't work when installing using rvm and sandbox
Description

Hi,

| have followed http://www.redmine.org/projects/redmine/wiki/Redminelnstall to step 4 where | get a failure.

(sandbox:redmine)mark@ubuntu:~/redmine-1.1.1$ rake generate_session_store --trace

(in /home/mark/bin/redmine/redmine-1.1.1)

rake aborted!

private method “chomp' called for nil:NilClass

/home/mark/.rvm/rubies/ruby-1.8.7-head/lib/ruby/1.8/logger.rb:174
/home/mark/.rvm/rubies/ruby-1.8.7-head/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in ‘gem_original_require
/home/mark/.rvm/rubies/ruby-1.8.7-head/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in “require’
/home/mark/bin/redmine/redmine-1.1.1/config/../vendor/rails/railties/lib/initializer.rb:1
/home/mark/.rvm/rubies/ruby-1.8.7-head/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in ‘gem_original_require
/home/mark/.rvm/rubies/ruby-1.8.7-head/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in “require’
/home/mark/bin/redmine/redmine-1.1.1/config/boot.rb:45:in “load_initializer'
/home/mark/bin/redmine/redmine-1.1.1/config/boot.rb:38:in “run’
/home/mark/bin/redmine/redmine-1.1.1/config/boot.rb:11:in “boot!'
/home/mark/bin/redmine/redmine-1.1.1/config/boot.rb:122
/home/mark/.rvm/rubies/ruby-1.8.7-head/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in ‘gem_original_require
/home/mark/.rvm/rubies/ruby-1.8.7-head/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in “require’
/home/mark/bin/redmine/redmine-1.1.1/Rakefile:4
/home/mark/bin/redmine/rubygems/gems/rake-0.8.7/lib/rake.rb:2383:in “load'
/home/mark/bin/redmine/rubygems/gems/rake-0.8.7/lib/rake.rb:2383:in ‘raw_load_rakefile'
/home/mark/bin/redmine/rubygems/gems/rake-0.8.7/lib/rake.rb:2017:in “load_rakefile'
/home/mark/bin/redmine/rubygems/gems/rake-0.8.7/lib/rake.rb:2068:in “standard_exception_handling'
/home/mark/bin/redmine/rubygems/gems/rake-0.8.7/lib/rake.rb:2016:in “load_rakefile'
/home/mark/bin/redmine/rubygems/gems/rake-0.8.7/lib/rake.rb:2000:in “run'
/home/mark/bin/redmine/rubygems/gems/rake-0.8.7/lib/rake.rb:2068:in “standard_exception_handling'
/home/mark/bin/redmine/rubygems/gems/rake-0.8.7/lib/rake.rb:1998:in “run'
/home/mark/bin/redmine/rubygems/gems/rake-0.8.7/bin/rake:31

/home/mark/bin/redmine/bin/rake:19:in “load'

/home/mark/bin/redmine/bin/rake:19

My setup is as follows:

actionmailer (2.3.5)
actionpack (2.3.5)
activerecord (2.3.5)
activeresource (2.3.5)
activesupport (2.3.5)
i18n (0.4.2)

log4r (1.1.9)

mysql (2.8.1)

rack (1.0.1)

rails (2.3.5)

rake (0.8.7)

rdoc (2.5.11)
rdoc-data (2.5.3)
test-unit (2.1.2)
http://www.redmine.org/projects/redmine/wiki/RedmineInstall

| am using Ubuntu 10.04
| installed rvm and sandbox.
| set rubygems in rvm to use 1.3.5 instead of the 1.5.2 it defaulted to.

Any help would be very much appreciated!

History

#1 - 2011-02-16 19:53 - Raphael Derosso Pereira

Had the same issue.

I run the following command:

gem install rack -v=1.0.1

and it worked after installation

#2 - 2011-02-21 13:37 - Etienne Massip
Did you manage to make it work ?

If not, could you try again without log4r ?
BTW, you should post that in "Help" forum.

#3 - 2011-03-02 15:33 - Georg Leciejewski

here is a patch for the logger class, which points to a problem in how you installed ruby:

http://redmine.ruby-lang.org/attachments/download/488

#4 - 2011-03-02 17:00 - Etienne Massip

- Status changed from New to Closed

Related to the following Ruby 1.9 issue, never backported to 1.8.7 branch.

#5 - 2011-03-02 17:02 - Etienne Massip
- Status changed from Closed to Reopened

- Resolution set to Invalid

#6 - 2015-10-04 02:20 - Go MAEDA

- Status changed from Reopened to Closed

Current versions of Redmine don't have "generate_session_store" rake task.
I think this 4 years old issue can be closed.
